
QGIS Application - Bug report #19792

eVis crashes 2.18 LTR & V3 if layer has any 'virtual fields'

2018-09-07 08:37 AM - Graeme Gummow

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Evis

Affected QGIS version:3.2.1 Regression?: No

Operating System: Win 10 Home 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27617

Description

User Feedback

Whether it is QGIS LTR 2.18.23 or QGIS 3.2.1, if you use eVis with shapefiles linked to a photo file name, then all is good so long as the

layer DOES NOT have any virtual fields, this is true regardless of whether the virtual field is or is not used to resolve the link/path to the

photo. ie eVis crashes QGIS if any virtual fields exist for that layer.

Report Details

Crash ID: 6b7c6f9e0132227e3008537186bcc7dd380ba04e

Stack Trace

QBitArray::QBitArray :

QgsField::name :

version :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

version :

version :

version :

version :

version :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions

Revision 39e1f893 - 2018-09-17 09:54 AM - Nyall Dawson

[evis] Fix crash when layer contains virtual fields

Fixes #19792

History

#1 - 2018-09-07 10:48 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-09-17 01:59 AM - Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-09-17 09:53 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|39e1f8934fff24b68ce9df74494795878dc2691a.
